ranges::v3::rotate_copy_fn Struct Reference
Algorithms

## Public Member Functions

template<typename I , typename S , typename O , typename P = ident, requires = (ForwardIterator<I>() && Sentinel<S, I>() && WeaklyIncrementable<O>() && IndirectlyCopyable<I, O>())>
tagged_pair< tag::in(I), tag::out(O)> | operator() (I begin, I middle, S end, O out) const
template<typename Rng , typename O , typename P = ident, typename I = iterator_t<Rng>, requires = (Range<Rng>() && WeaklyIncrementable<O>() && IndirectlyCopyable<I, O>())>
tagged_pair< tag::in(safe_iterator_t< Rng >), tag::out(O)> | operator() (Rng &&rng, I middle, O out) const